function [i,p,a,l] = getMgenLevels( m, n )
    i = FindMorphogenIndex( m, n );
    if isempty(i)
        disp(sprintf('Missing morphogen %s',n))
    else
        i = i(1);
    end

    p = m.morphogens(:,i);
    b = m.mgenswitch(:,i);
    if m.allMutantEnabled
        a = m.mutantLevel(i);
    else
        a = 1;
    end
    l = p * a * b;
end
